View Issue Details

IDProjectCategoryView StatusLast Update
0004559TalerWeb site(s)public2016-10-11 17:28
ReporterTorsten GrothoffAssigned ToFlorian Dold 
PriorityimmediateSeverityblockReproducibilityalways
Status closedResolutionfixed 
Product Version0.0 
Target Version0.1Fixed in Version0.1 
Summary0004559: internal error when withdrawing coins on bank.demo.taler.net
Descriptionthe following appears when i try to get an exchange at last step:
KUDOS Bank needs to verify that you intend to withdraw 1.0 KUDOS from https://exchange.demo.taler.net/. To prove that you are the account owner, please answer the following "security question" (*):

What is 10 × 1 ?
..... Ok

(*) A real bank should ask for a PIN/TAN instead of a simple calculation. For example by sending a one time password to the customer's mobile or providing her a random password generator.

i put in 10 and clicked ok, after that the following appeared:
{"error": "internal error", "hint": "wire transfer failed (bad response)", "body": "{\n \"error\": \"internal error\",\n \"hint\": \"Failed to connect to database\"\n}", "status": 500}
Steps To Reproducein the Description
TagsNo tags attached.

Activities

Florian Dold

2016-06-05 21:39

manager   ~0010861

Fixed, the exchange needed a restart.

Not sure if this issue is still present in the latest exchange, but Christian might want to have a look at the logs.

Issue History

Date Modified Username Field Change
2016-06-04 20:45 Torsten Grothoff New Issue
2016-06-04 20:59 Christian Grothoff Assigned To => Marcello Stanisci
2016-06-04 20:59 Christian Grothoff Status new => assigned
2016-06-04 20:59 Christian Grothoff Target Version => 0.1
2016-06-05 21:39 Florian Dold Note Added: 0010861
2016-06-05 21:39 Florian Dold Status assigned => resolved
2016-06-05 21:39 Florian Dold Resolution open => fixed
2016-06-05 21:39 Florian Dold Assigned To Marcello Stanisci => Florian Dold
2016-06-05 21:40 Florian Dold Summary error releas taler => internal error when withdrawing coins on bank.demo.taler.net
2016-06-08 22:19 Christian Grothoff Fixed in Version => 0.1
2016-10-11 17:28 Christian Grothoff Status resolved => closed